%define upstream_name    Test-Cmd
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module for portable testing of commands and scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
The Test::Cmd module provides a low-level framework for portable automated
testing of executable commands and scripts (in any language, not just Perl),
especially commands and scripts that interact with the file system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.90.0-6.mga10
+ Revision: 2200789
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.90.0-5.mga9
+ Revision: 1806083
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.90.0-4.mga8
+ Revision: 1497330
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.90.0-3.mga7
+ Revision: 1271662
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.90.0-1.mga6
+ Revision: 903342
- new release

* Mon Jun 29 2015 sander85 <sander85> 1.80.0-1.mga6
+ Revision: 847934
- update to 1.08

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-3.mga5
+ Revision: 739653
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-2.mga5
+ Revision: 686413
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.60.0-1.mga5
+ Revision: 615009
- update to 1.06

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-3.mga4
+ Revision: 515107
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 373423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 31253
- mageia rebuild
- imported package perl-Test-Cmd


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 405547
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.05-10mdv2009.0
+ Revision: 241965
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-8mdv2008.0
+ Revision: 86967
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-7mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.05-6mdk
- Fix SPEC according to Perl Policy
    - Source URL

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-5mdk
- spec cleanup
- better URL

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-4mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-2mdk
- fixed dir ownership (distlint)
- let spec-helper do its job

* Mon Feb 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-1mdk
- first mdk release

